%define fullname %{name}-%{version}
Name: icqmail
Summary: ICQ->email gateway
Url: http://www.crocodile.org/software.html
Version: 1.1
Release: 1mdk
Packager: Oden Eriksson <oden@kvikkjokk.com>
Copyright: GPL
Group: Networking/Daemons
Source: ftp://ftp.crocodile.org/pub/%{fullname}.tar.bz2
Requires: icqlib >= 0.1.3
Prefix:    /usr
Docdir:    %{prefix}/doc
BuildRoot: /var/tmp/%{fullname}

%description
This daemon allows you to forward all messages sent to some ICQ UIN
via email to your mailbox.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q %{fullname}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
install -d $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{prefix}/{bin,doc,man,/man/man1}
install -m 644 icqmail.man $RPM_BUILD_ROOT%{prefix}/man/man1/icqmail.1
for i in ChangeLog NEWS README TODO aliases.cfg sample.cfg; do
  install -m 644 -c $i $RPM_BUILD_ROOT%{prefix}/doc/$i
done
install -m 755 src/icqmail $RPM_BUILD_ROOT%{prefix}/bin/icqmail

%files
%defattr(-,root,root)
%{prefix}/bin/icqmail
%{prefix}/man/man1/icqmail.1
%doc ChangeLog NEWS README TODO aliases.cfg sample.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jul 18 1999 Oden Eriksson <oden@kvikkjokk.com>
  [1.1]
- Repacked for Linux Mandrake
